# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "template_distribution_sv2"
version = "5.1.0"
authors = ["The Stratum V2 Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sv2 template distribution subprotocol"
homepage = "https://stratumprotocol.org"
documentation = "https://docs.rs/template_distribution_sv2"
readme = "README.md"
keywords = [
    "stratum",
    "mining",
    "bitcoin",
    "protocol",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/stratum-mining/stratum"

[features]
prop_test = ["quickcheck"]

[lib]
name = "template_distribution_sv2"
path = "src/lib.rs"

[dependencies.binary_sv2]
version = "^5.0.0"

[dependencies.quickcheck]
version = ">= 1.0.3, < 1.1"
optional = true
